Create Data Imports
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"clientImportId": "<string>",
"kind": "project_items"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports"
payload = {
"projectId": "<string>",
"clientImportId": "<string>",
"kind": "project_items"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({projectId: '<string>', clientImportId: '<string>', kind: 'project_items'})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"id": "<string>",
"title": "<string>",
"currentRun": null
},
"takeoff": {},
"sourceSelection": {},
"columnMappings": {},
"valueMappings": {},
"reviewDraft": {},
"publishResult": {},
"id": "<string>",
"target": {
"kind": "<string>",
"projectId": "<string>"
},
"status": "awaiting_upload",
"kind": "project_items",
"version": 123,
"analysisRevision": 123,
"document": {
"id": "<string>",
"displayName": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"status": "pending",
"confirmedAt": "<string>",
"extractionDispatchedAt": "<string>",
"safeErrorCode": "<string>"
},
"sourceSnapshot": {},
"progress": {
"phase": "analysis",
"safeErrorCode": "<string>"
},
"counts": {
"blockingIssues": 123,
"warningIssues": 123
},
"issueSummary": {
"blocking": 123,
"warning": 123
},
"publishable": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}Data Imports
Create Data Imports
POST
/
v1
/
workspaces
/
{workspaceId}
/
assistant
/
imports
Create Data Imports
Path Parameters
Pattern:
^[1-9]\d*$Body
application/json
Response
201 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
awaiting_upload, queued, analyzing, review, publishing, published, failed, cancelled Available options:
project_items, takeoff Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I